<?php

// core/Controller.php

class Controller {

    protected $loader;

    public function __construct() {
        $this->loader = new Loader();
        $this->init_models();
    }

    private function init_models() {
        global $config;
        foreach ($config['models'] as $model) {
            $this->init_model($model);
        }
    }

    private function init_model($model) {
        $class = $model . '_model';
        require "model/$class.php";
        $variable = strtolower($model);
        $this->$variable = new $class();
    }

    protected function compute_error($form_data, $filters) {
        foreach ($filters as $key => $filter) {
            $data = &$form_data[$key];
            if (
                    $data === null ||
                    (is_array($data) && in_array(null, $data, true))
            ) {
                return $filter['message'];
            }
        }
        return false;
    }

}
